require 'alexa_toolbox/request'
require 'alexa_toolbox/version'
require 'alexa_toolbox/response'
require 'alexa_toolbox/address'
require 'alexa_toolbox/display_directive'

module AlexaToolbox
  # Prints a JSON object.
  def self.print_json(json)
    p json
  end

  # Prints the Gem version.
  def self.print_version
    p AlexaToolbox::VERSION
  end

  # Returns true if all the Alexa objects are set.
  def self.valid_alexa?(request_json)
    !request_json.nil? && !request_json[:version].nil? && !request_json[:request].nil?
  end

  # Take keys of hash and transform those to a symbols
  def self.transform_keys_to_symbols(input)
    return input if not input.is_a?(Hash)
    hash = input.inject({}){|store,(key,val)| store[key.to_sym] = self.transform_keys_to_symbols(val); store}
    return hash
  end
end