module AlexaToolbox
  # Handles the session object in requests.
  class Context
    require 'alexa_toolbox/audioplayer'
    attr_reader :audioplayer, :system, :json

    def initialize (context)
      @system = context.key?(:System) ? context[:System] : ""
      @audioplayer = context.key?(:AudioPlayer) ? AlexaToolbox::AudioPlayer.new(context[:AudioPlayer]) : nil
      @json = context
    end

    def application_id
      return self.system[:application][:applicationId]
    end

    def user_id
      return self.system[:user][:userId]
    end

    def device_id
      return self.system[:device][:deviceId]
    end

  end
end
