module AlexaToolbox
  # Handles creating display directives in responses.
  class DisplayDirectiveTextContent
    require 'json'

    attr_accessor :text_content

    def initialize
      @text_content = {}
    end

    def add_text(slot,text,type = "PlainText")
      if ["primary","tertiary","secondary"].include?(slot)
        @text_content[slot + "Text"] = {
          text: text,
          type: type
        }
      elsif ["primaryText","secondaryText","tertiaryText"].include?(slot)
        @text_content[slot] = {
          text: text,
          type: type
        }
      else
        raise ArgumentError, 'Invalid text type given. Valid options are: "primary","tertiary","secondary","primaryText","secondaryText","tertiaryText"'
      end
    end

    def add_primary_text(text,type = "PlainText")
      @text_content["primaryText"] = {
        text: text,
        type: type
      }
    end

    def add_secondary_text(text,type = "PlainText")
      @text_content["secondaryText"] = {
        text: text,
        type: type
      }
    end

    def add_tertiary_text(text,type = "PlainText")
      @text_content["tertiaryText"] = {
        text: text,
        type: type
      }
    end

    def valid?
      @text_content != {}
    end

    def build
      @text_content
    end

  end
end