module AlexaToolbox
  # Handles the intent object in requests.
  class Intent
    attr_reader :name, :confirmation_status, :json

    def initialize (intent)
      raise ArgumentError, 'Invalid Intent' if intent[:name].empty?
      @name = intent[:name]
      @confirmation_status = intent[:confirmationStatus]
      @json = intent
    end

    def has_slots?
      return self.slots != {}
    end

    def slots
      return self.json[:slots]
    end
  end
end
